summaryrefslogtreecommitdiff
path: root/hints
diff options
context:
space:
mode:
Diffstat (limited to 'hints')
-rw-r--r--hints/aix.sh61
1 files changed, 33 insertions, 28 deletions
diff --git a/hints/aix.sh b/hints/aix.sh
index 9c8bc2e9df..581141d129 100644
--- a/hints/aix.sh
+++ b/hints/aix.sh
@@ -43,7 +43,9 @@ d_setruid='undef'
alignbytes=8
-usemymalloc='n'
+case "$usemymalloc" in
+'') usemymalloc='n' ;;
+esac
# Intuiting the existence of system calls under AIX is difficult,
# at best; the safest technique is to find them empirically.
@@ -79,7 +81,7 @@ case "$osvers" in
ccflags="$ccflags -D_ALL_SOURCE -D_ANSI_C_SOURCE -D_POSIX_SOURCE"
case "$cc" in
*gcc*) ;;
- *) ccflags="$ccflags -qmaxmem=8192" ;;
+ *) ccflags="$ccflags -qmaxmem=16384" ;;
esac
nm_opt='-B'
;;
@@ -111,16 +113,14 @@ case "$osvers" in
;;
esac
+# Save this for backward compatibility for now.
+# Configure already (5.005_58) knows how to probe for
+# <socks.h> and libsocks. What sucks is that the name
+# of the socks library seems to be version dependent
+# (e.g. libsocks5), bleagh.
#
# if $ccflags contains -DSOCKS, then add socks library support.
#
-# SOCKS support also requires each source module with socket support
-# add the following lines directly after the #include <socket.h>:
-#
-# #ifdef SOCKS
-# #include <socks.h>
-# #endif
-#
# It is expected that libsocks.a resides in /usr/local/lib and that
# socks.h resides in /usr/local/include. If these files live some
# different place then modify
@@ -134,25 +134,6 @@ for arg in $ccflags ; do
incpath=/usr/local/include
libpath=/usr/local/lib
- echo >&4 "SOCKS using $incpath/socks.h and $libpath/lib${sockslib}.a"
- echo >&4 "SOCKS requires source modifications. #include <socket.h> must change to:"
- echo >&4
- echo >&4 " #include <socket.h>"
- echo >&4 " #ifdef SOCKS"
- echo >&4 " #include <socks.h>"
- echo >&4 " #endif"
- echo >&4
- echo >&4 "in some or all of the following files:"
- echo >&4
-
- for arg in `find . \( -name '*.c' -o -name '*.xs' -o -name '*.h' \) \
- -exec egrep -l '#.*include.*socket\.h' {} \; | \
- egrep -v "win32|vms|t/lib|Socket.c` ; do
- echo >&4 " $arg"
- done
-
- echo >&4
-
lddlflags="$lddlflags -l$sockslib"
# setting $libs here breaks the optional libraries search
@@ -227,3 +208,27 @@ esac
EOCBU
lddlflags="$lddlflags $lddllibc"
+
+# This script UU/use64bits.cbu will get 'called-back' by Configure
+# after it has prompted the user for whether to use 64 bits.
+cat > UU/use64bits.cbu <<'EOCBU'
+case "$use64bits" in
+$define|true|[yY]*)
+ case "`uname -r`" in
+ 3.*|4.[012].*)
+ cat >&4 <<EOM
+AIX `uname -r` does not support 64-bit interfaces.
+You should upgrade to at least AIX 4.3.
+EOM
+ exit 1
+ ;;
+ esac
+ ccflags="$ccflags `getconf XBS5_LPBIG_OFFBIG_CFLAGS`"
+ ccflags="$ccflags -DUSE_LONG_LONG"
+ ldflags="$ldflags `getconf XBS5_LPBIG_OFFBIG_LDFLAGS`"
+ libswanted="$libswanted `getconf XBS5_LPBIG_OFFBIG_LIBS`"
+ # When a 64-bit cc becomes available $archname64
+ # may need setting so that $archname gets it attached.
+ ;;
+esac
+EOCBU